
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class VirtualCamera3D:Node3D
  {
    [Export] 
    public float fov = 60;

    public Vector3 GetCameraPosition()
    {
      return GlobalPosition;
    }

    public Quaternion GetCameraRotation()
    {
      return GlobalBasis.GetRotationQuaternion();
    }

    public float GetCameraFOV()
    {
      return fov;
    }

  }
}