
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  public enum TimeLineSpanUpdateType
  {
    Start,
    InSpan,
    End,
    CompletelyInside
  } 

  public class TimeLineSpanUpdate
  {
    public TimeLineSpan span;
    public TimeLineSpanUpdate type; 
  }

  public class TimeLineSpan
  {
    public int id;
    public bool persistent;
    public float start;
    public float end;
    public bool wasInside = false;
  }
}